/**
 * Copyright by Manuel Siekmann (makasy.com)
 * The License.txt file describes the conditions under which this software may be distributed.
 * @author Manuel Siekmann
 * @version 1.0
 */
public interface IChainField {

	public void init(int x, int y, IChainField[] neighbours);

	public boolean addAtom(int playerID);

	public boolean addAtom(int playerID, boolean force);

	public boolean detonate();

	public boolean isOverloaded();

	public int getPlayerID();

	public boolean isTaken();

	public int getAtomCount();

	public int getNeighbourCount();

	public IChainField getNeighbour(int index);
}


