/**
 * Copyright by Manuel Siekmann (makasy.com)
 * The License.txt file describes the conditions under which this software may be distributed.
 * @author Manuel Siekmann
 * @version 1.0
 */
import java.awt.*;
import javax.swing.*;

public interface IChainFieldUI extends IChainField {

	public void setExplosion(boolean value);

	public void drawAtoms(Graphics g);

	public void drawAtoms(Graphics g, int offsetX, int offsetY, int offset);

	public int getX();

	public int getY();

	public Color getPlayerColor();

	public IChainFieldUI getNeighbour(int index);
}


